searchNodes=[{"ref":"Unicode.Guards.html","title":"Unicode.Guards","type":"module","doc":"Defines a set of guards that can be used with Elixir functions. Each guard operates on a UTF8 codepoint since the permitted operators in a guard clause are restricted to simple comparisons that do not include string comparators. The data that underpins these guards is generated from the Unicode character database and therefore includes a broad range of scripts well beyond the basic ASCII definitions."},{"ref":"Unicode.Guards.html#is_currency_symbol/1","title":"Unicode.Guards.is_currency_symbol/1","type":"macro","doc":"Guards whether a UTF8 codepoint is a currency symbol character."},{"ref":"Unicode.Guards.html#is_digit/1","title":"Unicode.Guards.is_digit/1","type":"macro","doc":"Guards whether a UTF8 codepoint is a digit character. This guard will match any digit character from any Unicode script, not only the ASCII decimal digits."},{"ref":"Unicode.Guards.html#is_lower/1","title":"Unicode.Guards.is_lower/1","type":"macro","doc":"Guards whether a UTF8 codepoint is a lower case character. The match is for any UTF8 character that is defined in Unicode to be an lower case character in any script."},{"ref":"Unicode.Guards.html#is_upper/1","title":"Unicode.Guards.is_upper/1","type":"macro","doc":"Guards whether a UTF8 codepoint is an upper case character. The match is for any UTF8 character that is defined in Unicode to be an upper case character in any script."},{"ref":"Unicode.Guards.html#is_whitespace/1","title":"Unicode.Guards.is_whitespace/1","type":"macro","doc":"Guards whether a UTF8 codepoint is a whitespace symbol character."},{"ref":"readme.html","title":"Unicode Guards","type":"extras","doc":"Unicode Guards Provides a set of function guards that can be used to match Unicode codepoints. Based upon ex_unicode and unicode_set."},{"ref":"readme.html#usage","title":"Unicode Guards - Usage","type":"extras","doc":"Each guard operates on a UTF8 codepoint since the permitted operators in a guard clause are restricted to simple comparisons that do not include strings. The data that underpins these guards is generated from the Unicode character database and therefore includes a broad range of scripts well beyond the basic ASCII definitions. Some examples follow defining functions using the pre-defined guards. Note that since guards operate on codepoints (not strings) we use binary pattern matching to extract the first codepoint for these example. defmodule Guards do import Unicode.Guards def upper(&lt;&lt; x :: utf8, _rest :: binary &gt;&gt;) when is_upper(x), do: :upper def lower(&lt;&lt; x :: utf8, _rest :: binary &gt;&gt;) when is_lower(x), do: :lower def digit(&lt;&lt; x :: utf8, _rest :: binary &gt;&gt;) when is_digit(x), do: :digit def whitespace(&lt;&lt; x :: utf8, _rest :: binary &gt;&gt;) when is_whitespace(x), do: :whitespace def currency(&lt;&lt; x :: utf8, _rest :: binary &gt;&gt;) when is_currency_symbol(x), do: :currency end"},{"ref":"readme.html#installation","title":"Unicode Guards - Installation","type":"extras","doc":"The package can be installed by adding unicode_guards to your list of dependencies in mix.exs: def deps do [ {:unicode_guards, &quot;~&gt; 0.1.0&quot;} ] end The docs can be found at https://hexdocs.pm/unicode_guards."},{"ref":"license.html","title":"License","type":"extras","doc":"License Copyright 2019 Kip Cole Licensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License."},{"ref":"changelog.html","title":"Changelog for Unicode Guards v0.1.0","type":"extras","doc":"Changelog for Unicode Guards v0.1.0 This is the changelog for Unicode Guards v0.1.0 released on November 23rd, 2019. For older changelogs please consult the release tag on GitHub Initial release."}]